org.gjt.sp.jedit.bsh.reflect

## Class ReflectManagerImpl

- java.lang.Object
- - org.gjt.sp.jedit.bsh.ReflectManager
  - - org.gjt.sp.jedit.bsh.reflect.ReflectManagerImpl

    public class ReflectManagerImpl
    extends ReflectManager

This is the implementation of: ReflectManager - a dynamically loaded extension that supports extended reflection features supported by JDK1.2 and greater. In particular it currently supports accessible method and field access supported by JDK1.2 and greater.

### Constructor Summary

Constructors
Constructor and Description
`ReflectManagerImpl()`

### Method Summary

Methods
`boolean` `setAccessible(java.lang.Object obj)` Set a java.lang.reflect Field, Method, Constructor, or Array of accessible objects to accessible mode.

### Methods inherited from class org.gjt.sp.jedit.bsh.ReflectManager

`getReflectManager, RMSetAccessible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectManagerImpl

    public ReflectManagerImpl()

### Method Detail

#### setAccessible

    public boolean setAccessible(java.lang.Object obj)

Set a java.lang.reflect Field, Method, Constructor, or Array of accessible objects to accessible mode. If the object is not an AccessibleObject then do nothing.

Specified by:
  `setAccessible` in class `ReflectManager`
Returns:
  true if the object was accessible or false if it was not.